org.eclipse.graphiti.ui.internal.parts.directedit

## Class ContentProposalListener

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.parts.directedit.ContentProposalListener

All Implemented Interfaces:
  IContentProposalListener

    public class ContentProposalListener
    extends java.lang.Object
    implements IContentProposalListener

### Constructor Summary

Constructors
Constructor and Description
`ContentProposalListener(TextCellEditor textCellEditor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `proposalAccepted(IContentProposal proposal)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentProposalListener

    public ContentProposalListener(TextCellEditor textCellEditor)

### Method Detail

#### proposalAccepted

    public void proposalAccepted(IContentProposal proposal)

Specified by:
  `proposalAccepted` in interface `IContentProposalListener`